function Check-SoftwareInstalled ($displayName, $displayVersion) {
  $registryPaths = @(
    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*',
    'HKLM:\Software\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*'
  )

  return Get-ItemProperty $registryPaths -ErrorAction SilentlyContinue | Where-Object {
    $_.DisplayName -eq $displayName -and $_.DisplayVersion -eq $displayVersion
  }
}

$version = '8.0.2251.0'

$packageArgs = @{
  packageName = 'smartftp'
  fileType = 'msi'
  url  = 'https://www.smartftp.com/get/SmartFTP.msi'
  url64bit  = 'https://www.smartftp.com/get/SmartFTP64.msi'
  silentArgs = '/quiet'
  validExitCodes = @(0)
  softwareName  = 'SmartFTP Client'
}

$alreadyInstalled = Check-SoftwareInstalled 'SmartFTP Client' $version

if ($alreadyInstalled) {
  Write-Output $('SmartFTP Client ' + $version + ' is already installed.')
} else {
  Install-ChocolateyPackage @packageArgs
}
